`timescale 1ns / 1ps

module tb_sumorobot();
    
    reg clk, rst;
    
    initial begin
        clk = 0;
        rst = 1;
        #50;
        rst = 0;
    end
    
    always #4 clk = !clk;
    
    wire [7:0] motor1, motor2;
    wire motor1Direction, motor2Direction;
    wire uartTx;
    
    
    reg [9:0] contr1, contr2; // Birazdan 
    reg objDec1, objDec2, objDec3;
    reg startBtn;
    
    initial begin
        startBtn = 0;
        objDec1 = 0;
        objDec2 = 0;
        objDec3 = 0;
        contr1 = 1023;
        contr2 = 1023;
        #100;
        startBtn = 1;
        #100;
        objDec2 = 1;
        #100;
        objDec1 = 1;
        objDec2 = 0;
        
    end
    
    
    sumoRobot DUT(
        .clk(clk), // 125MHz
    
        .motor1(motor1), // left speed
        .motor2(motor2), // right speed
    
        .motor1Direction(motor1Direction),
        .motor2Direction(motor2Direction),
    
        .contr1(contr1), // left
        .contr2(contr2), // right
    
        .objDec1(objDec1), // left
        .objDec2(objDec2), // mid
        .objDec3(objDec3), // right
    
        .startBtn(startBtn),
        .rst(rst),
        
        .uartTx(uartTx),
        .uartRx() // TODO
    );
    
    
    
endmodule
